Connect an account (native authentication)Ask AIpost https://{subdomain}.unipile.com:{port}/api/v1/accountsLink to Uniple an account of the given type and provider.Body ParamsThe parameters required to perform the authentication depend on the type of account you are trying to connect.LinkedinWhatsappInstagramMessengerIMAPGmailTelegramOutlookTwitterBasic authenticationCookie authenticationcountrystringlength between 2 and 2An ISO 3166-1 A-2 country code to be set as proxy's location.ipstringAn IPv4 address to infer proxy's location.disabled_featuresarray of stringsAn array of features that should be disabled for this account.disabled_featuresADD stringsync_limitobjectSet a sync limit either for chats, messages or both. Chats limit will apply to each inbox, whereas messages limit will apply to each chat. No value will not apply any limit (default behaviour). Providers partial support.sync_limit objectproviderstringenumrequiredLINKEDINAllowed:LINKEDINproxyobjectproxy objectuser_agentstringIf encountering disconnection issues, enter the exact user agent of the browser on which the account has been connected. You can easily retrieve it in the browser's console with this command : "console.log(navigator.userAgent)"recruiter_contract_idstringThe contract that should be used with Linkedin Recruiter.usernamestringrequiredShould be either an email address or a phone number.passwordstringrequiredResponses 201Created. The authentication succeeded and the account is linked to Unipile. 400Bad Request Invalid parameters - Type: "errors/invalid_parameters" One or more request parameters are invalid or missing. Missing parameters - Type: "errors/missing_parameters" One or more request parameters are missing. Invalid parameters - Type: "errors/invalid_request" One or a combination of request parameters are invalid. Malformed request - Type: "errors/malformed_request" The given request has been rejected by the provider. Content too large - Type: "errors/content_too_large" The request payload is so large that it has been rejected by the provider. Too many characters - Type: "errors/too_many_characters" The provided content exceeds the character limit. Unescaped characters - Type: "errors/unescaped_characters" The request path contains unescaped characters. Limit too high - Type: "errors/limit_too_high" Provider cannot accept such high pagination limit. See API reference for details. Invalid action - Type: "errors/invalid_action" This action is invalid. Invalid label - Type: "errors/invalid_label" This label is invalid. 401Unauthorized Invalid credentials The provided credentials are invalid. 403Forbidden Insufficient permissions Valid authentication but insufficient permissions to perform the request. 407Proxy Authentication Required Proxy authentication error The proxy in use is not working. Please try again. 408Request Timeout Request timed out Communication with the provider has timed out. Please retry. 409Conflict Operation canceled The current task was canceled by a subsequent one. 425Too Early Authentication in progress Cannot start a new intent while another is still in progress. 500Internal Server Error Unexpected error - Type: "errors/unexpected_error" Something went wrong. {{moreDetails}} Provider error - Type: "errors/provider_error" The provider is experiencing operational problems. Please try again later. Authentication intent error - Type: "errors/authentication_intent_error" The current authentication intent was killed after failure. Please start the process again from the beginning. 501Not Implemented Missing feature Requested feature is planned but has not been implemented yet. 502Bad Gateway Proxy error The proxy in use is not working. Please try again. 503Service Unavailable No client session - Type: "errors/no_client_session" No client session is currently running. No channel - Type: "errors/no_channel" No channel to client session. Handler missing - Type: "errors/no_handler" Handler missing for that request. Network down - Type: "errors/network_down" Network is down on server side. Please wait a moment and retry. Service unavailable - Type: "errors/service_unavailable" Please try again later. 504Gateway Timeout Request timed out - Type: "errors/request_timeout" Request Timeout. Please try again, and if the issue persists, contact support.Updated about 1 month ago